/*
 * @file main1.c
 *
 * A program using an extended subset of the functionality of the list
 * module.
 */

#include <stdlib.h>
#include <stdio.h>

#include "list.h"

void
printdec(int num)
{
    printf(" %d", num);
}

void
printhex(int num)
{
    printf(" 0x%x", num);
}

int
main(int argc, char *argv[])
{
    struct list* my_list = NULL;

    my_list = push_front(my_list, 34);
    my_list = push_front(my_list, 18);
    my_list = push_back(my_list, 56);

    printf("The numbers are (in decimal)");
    foreach_list_simple(my_list, printdec);
    printf(".\n");
    
    printf("The numbers are (in hexadecimal)");
    foreach_list_simple(my_list, printhex);
    printf(".\n");
    
    dispose_list(my_list);
    return 0;
}
